Subject: Re: bug#17895: 24.3.91; electric-indent-mode not quite right with comments in fortran-mode

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Jul 2014 19:38:40 -0400

"Roland Winkler" wrote:

> emacs -Q
> insert a multiline comment while editing a file with fortran-mode

But Fortran doesn't have multi-line comments. :)
I know what you mean though, you mean that the desired indentation of
the new line isn't known in advance, because it depends on what you write.

Other modes, such as Python, have similar issues.
There, TAB cycles between possible indent positions.
I don't think I see the point in adding something like that for
fixed-format Fortran though.

> A similar problem exists with multiline statements requiring
> fortran-continuation-string in column 5.

I don't see the issue here.

Previously you would have to enter: RET SPC SPC SPC SPC SPC $
or: RET TAB DEL $
or: RET $ TAB

The 1st is inefficient.
The 2nd is replaced by: RET DEL $   (less typing)
The 3rd still works.

> I do not see the benefit of this new behavior in the context of
> fortran-mode.  Maybe electric-indent-chars should be locally bound to
> nil in fortran-mode.

Seems like a sledgehammer solution, just for the sake of "C" comments.
Even g77 supports "!" comments.

The new method is less typing on average, unless you write more "C"
comments than code.